Skip to main content
POST

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

paymentLocation
string
required

Unique identifier of POS in payment service. Recommended pattern is '{storeId}_{posId}'.

Maximum string length: 128

Body

application/json

The payment location details

storeId
string
required

The store identifier

Required string length: 1 - 64
type
string
required

Payment location type

Minimum string length: 1
qrCode
string | null

The qr code assigned to the payment location

Maximum string length: 64
force
boolean

Allows to re-assign the qrCode if it's already assigned to another payment location

Response

OK

The response is of type object.

Last modified on August 10, 2026